Bug 57708 - [Qt] Style fix for QtMobileWebStyle.h
Summary: [Qt] Style fix for QtMobileWebStyle.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2011-04-02 12:07 PDT by Diego Gonzalez
Modified: 2011-04-14 06:31 PDT (History)
4 users (show)

See Also:


Attachments
Patch (1.88 KB, patch)
2011-04-02 12:10 PDT, Diego Gonzalez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Gonzalez 2011-04-02 12:07:54 PDT
Fix style drawControl and drawComplexControl prototype
Comment 1 Diego Gonzalez 2011-04-02 12:10:19 PDT
Created attachment 87983 [details]
Patch
Comment 2 Antonio Gomes 2011-04-03 19:32:42 PDT
Comment on attachment 87983 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=87983&action=review

> Source/WebCore/platform/qt/QtMobileWebStyle.h:31
> +    void drawControl(ControlElement, const QStyleOption*, QPainter*, const QWidget*) const;
> +    void drawComplexControl(ComplexControl, const QStyleOptionComplex*, QPainter*, const QWidget*) const;

You are changing the default value, diego. It goes beyond style fixes :)
Comment 3 Alexis Menard (darktears) 2011-04-04 05:34:39 PDT
So it's r- no?
Comment 4 Antonio Gomes 2011-04-04 07:20:12 PDT
(In reply to comment #3)
> So it's r- no?

Not necesseraly. No everything needs to be r- if the contributor is a committer and patch has an issue. I r+ and expressed my concern, so it is just a matter of fixing it before landing.
Comment 5 Antonio Gomes 2011-04-04 07:20:48 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > So it's r- no?
> 
> Not necesseraly. No everything needs to be r- if the contributor is a committer and patch has an issue. I r+ and expressed my concern, so it is just a matter of fixing it before landing.

Also it seems this default value is not used, since it did not break stuff to diego. So I do not really care this time.
Comment 6 Benjamin Poulain 2011-04-04 08:23:22 PDT
Comment on attachment 87983 [details]
Patch

Let's cq+...
Comment 7 WebKit Commit Bot 2011-04-04 08:26:53 PDT
Comment on attachment 87983 [details]
Patch

Rejecting attachment 87983 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-4', 'apply-..." exit_code: 2

Last 500 characters of output:
Scripts/svn-apply', u'--reviewer', u'Antonio Gomes', u'--fo..." exit_code: 1

Parsed 2 diffs from patch file(s).
patching file Source/WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebCore/platform/qt/QtMobileWebStyle.h
Hunk #1 FAILED at 27.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebCore/platform/qt/QtMobileWebStyle.h.rej

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--reviewer', u'Antonio Gomes', u'--fo..." exit_code: 1

Full output: http://queues.webkit.org/results/8185955
Comment 8 Diego Gonzalez 2011-04-04 16:00:20 PDT
Thanks guys. I will commit it manually.
Comment 9 Diego Gonzalez 2011-04-06 08:43:54 PDT
Fixed at r83047